/// <reference types="node" />
import BigNum from '@liskhq/bignum';
import { transactions } from 'lisk-sdk';
import { BaseTransaction } from './legacy_base_transaction';
export interface TransferAsset {
    readonly data?: string;
    readonly recipientId: string;
    readonly amount: BigNum;
}
export declare const transferAssetFormatSchema: {
    type: string;
    required: string[];
    properties: {
        recipientId: {
            type: string;
            format: string;
        };
        amount: {
            type: string;
            format: string;
        };
        data: {
            type: string;
            format: string;
            maxLength: number;
        };
    };
};
export declare class TransferTransaction extends BaseTransaction {
    readonly asset: TransferAsset;
    static TYPE: number;
    static FEE: string;
    constructor(rawTransaction: unknown);
    protected getBasicBytes(): Buffer;
    assetToJSON(): object;
    prepare(store: transactions.StateStorePrepare): Promise<void>;
    protected validateAsset(): ReadonlyArray<transactions.TransactionError>;
    protected applyAsset(store: transactions.StateStore): ReadonlyArray<transactions.TransactionError>;
    protected undoAsset(store: transactions.StateStore): ReadonlyArray<transactions.TransactionError>;
}
