/// <reference types="node" />
import { transactions } from 'lisk-sdk';
import { BaseTransaction } from './legacy_base_transaction';
export interface SecondSignatureAsset {
    readonly publicKey: string;
}
export declare const secondSignatureAssetFormatSchema: {
    type: string;
    required: string[];
    properties: {
        publicKey: {
            type: string;
            format: string;
        };
    };
};
export declare class SecondSignatureTransaction extends BaseTransaction {
    readonly asset: SecondSignatureAsset;
    static TYPE: number;
    static FEE: string;
    constructor(rawTransaction: unknown);
    protected assetToBytes(): Buffer;
    prepare(store: transactions.StateStorePrepare): Promise<void>;
    protected verifyAgainstTransactions(transactions: ReadonlyArray<transactions.TransactionJSON>): ReadonlyArray<transactions.TransactionError>;
    protected validateAsset(): ReadonlyArray<transactions.TransactionError>;
    protected applyAsset(store: transactions.StateStore): ReadonlyArray<transactions.TransactionError>;
    protected undoAsset(store: transactions.StateStore): ReadonlyArray<transactions.TransactionError>;
    sign(passphrase: string): void;
}
