/// <reference types="node" />
import { transactions } from 'lisk-sdk';
import { BaseTransaction } from './legacy_base_transaction';
export interface DelegateAsset {
    readonly username: string;
}
export declare const delegateAssetFormatSchema: {
    type: string;
    required: string[];
    properties: {
        username: {
            type: string;
            minLength: number;
            maxLength: number;
            format: string;
        };
    };
};
export declare class DelegateTransaction extends BaseTransaction {
    readonly asset: DelegateAsset;
    readonly containsUniqueData: boolean;
    static TYPE: number;
    static FEE: string;
    constructor(rawTransaction: unknown);
    protected assetToBytes(): Buffer;
    prepare(store: transactions.StateStorePrepare): Promise<void>;
    protected verifyAgainstTransactions(transactions: ReadonlyArray<transactions.TransactionJSON>): ReadonlyArray<transactions.TransactionError>;
    protected validateAsset(): ReadonlyArray<transactions.TransactionError>;
    protected applyAsset(store: transactions.StateStore): ReadonlyArray<transactions.TransactionError>;
    protected undoAsset(store: transactions.StateStore): ReadonlyArray<transactions.TransactionError>;
}
