/// <reference types="node" />
import BigNum from '@liskhq/bignum';
import { transactions } from 'lisk-sdk';
import { BaseTransaction } from './legacy_base_transaction';
export interface InTransferAsset {
    readonly amount: BigNum;
    readonly inTransfer: {
        readonly dappId: string;
    };
}
export declare const inTransferAssetFormatSchema: {
    type: string;
    required: string[];
    properties: {
        amount: {
            type: string;
            format: string;
        };
        inTransfer: {
            type: string;
            required: string[];
            properties: {
                dappId: {
                    type: string;
                    format: string;
                };
            };
        };
    };
};
export declare class InTransferTransaction extends BaseTransaction {
    readonly asset: InTransferAsset;
    static TYPE: number;
    static FEE: string;
    constructor(rawTransaction: unknown);
    protected getBasicBytes(): Buffer;
    prepare(store: transactions.StateStorePrepare): Promise<void>;
    assetToJSON(): object;
    protected verifyAgainstTransactions(_: ReadonlyArray<transactions.TransactionJSON>): ReadonlyArray<transactions.TransactionError>;
    protected validateAsset(): ReadonlyArray<transactions.TransactionError>;
    protected applyAsset(store: transactions.StateStore): ReadonlyArray<transactions.TransactionError>;
    protected undoAsset(store: transactions.StateStore): ReadonlyArray<transactions.TransactionError>;
    protected assetFromSync(raw: any): object | undefined;
}
