/// <reference types="node" />
import BigNum from '@liskhq/bignum';
import { transactions } from 'lisk-sdk';
import { BaseTransaction } from './legacy_base_transaction';
export interface OutTransferAsset {
    readonly recipientId: string;
    readonly amount: BigNum;
    readonly outTransfer: {
        readonly dappId: string;
        readonly transactionId: string;
    };
}
export declare const outTransferAssetFormatSchema: {
    type: string;
    required: string[];
    properties: {
        recipientId: {
            type: string;
            format: string;
        };
        amount: {
            type: string;
            format: string;
        };
        outTransfer: {
            type: string;
            required: string[];
            properties: {
                dappId: {
                    type: string;
                    format: string;
                };
                transactionId: {
                    type: string;
                    format: string;
                };
            };
        };
    };
};
export declare class OutTransferTransaction extends BaseTransaction {
    readonly asset: OutTransferAsset;
    readonly containsUniqueData: boolean;
    static TYPE: number;
    static FEE: string;
    constructor(rawTransaction: unknown);
    prepare(store: transactions.StateStorePrepare): Promise<void>;
    protected getBasicBytes(): Buffer;
    assetToJSON(): object;
    protected verifyAgainstTransactions(transactions: ReadonlyArray<transactions.TransactionJSON>): ReadonlyArray<transactions.TransactionError>;
    protected validateAsset(): ReadonlyArray<transactions.TransactionError>;
    protected applyAsset(store: transactions.StateStore): ReadonlyArray<transactions.TransactionError>;
    undoAsset(store: transactions.StateStore): ReadonlyArray<transactions.TransactionError>;
    protected assetFromSync(raw: any): object | undefined;
}
