"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lisk_cryptography_1 = require("@liskhq/lisk-cryptography");
const time_1 = require("./time");
exports.createBaseTransaction = ({ passphrase, timeOffset, }) => {
    const { publicKey: senderPublicKey } = passphrase
        ? lisk_cryptography_1.getAddressAndPublicKeyFromPassphrase(passphrase)
        : { publicKey: undefined };
    const timestamp = time_1.getTimeWithOffset(timeOffset);
    return {
        senderPublicKey,
        timestamp,
    };
};
//# sourceMappingURL=create_base_transaction.js.map